LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XReferenceResolvedBroadcaster Interface Reference

Interface of Reference Resolved Broadcaster. More...

`import"XReferenceResolvedBroadcaster.idl";`

Inheritance diagram for XReferenceResolvedBroadcaster:

## Public Member Functions
void | addReferenceResolvedListener ([in] long referenceId, [in] XReferenceResolvedListener listener)
| Adds a new reference resolved listener for an element collector. More...
void | removeReferenceResolvedListener ([in] long referenceId, [in] XReferenceResolvedListener listener)
| Removes a listener from an element collector. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of Reference Resolved Broadcaster.

This interface is used to manipulate reference resolved listener.

## Member Function Documentation

## ◆ addReferenceResolvedListener()

void addReferenceResolvedListener | ( | [in] long | referenceId,
|  | [in] XReferenceResolvedListener | listener
| ) |  |

Adds a new reference resolved listener for an element collector.

When the element collector has completely collected that element, this listener will receive a notification.

Parameters

  referenceId | the id of the element collector for which the new listener is added
  listener | the listener to be added

## ◆ removeReferenceResolvedListener()

void removeReferenceResolvedListener | ( | [in] long | referenceId,
|  | [in] XReferenceResolvedListener | listener
| ) |  |

Removes a listener from an element collector.

When a listener is removed, it will not receive notification when collection completes.

Parameters

  referenceId | the id of the element collector from which the listener is removed
  listener | the listener to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XReferenceResolvedBroadcaster.idl